This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours

Bug 435724

Summary: Review Request: fedora-ds-graph - an rrdtool-based graphing utility for Fedora Directory Server
Product: [Fedora] Fedora Reporter: Chris St. Pierre <cstpierr>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: fedora-package-review, jochen, notting, oron
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-11-03 10:50:57 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 201449    

Description Chris St. Pierre 2008-03-03 10:52:47 EST
Spec URL: http://www.stpierreconsulting.com/files/fedora-ds-graph.spec
SRPM URL: http://www.stpierreconsulting.com/files/fedora-ds-graph-1.0.0-1.src.rpm
Description: Fedora DS Graph is a graphing utility for graphing connections to and operations on a Fedora Directory Server instance.

Thanks!
Comment 1 Oron Peled 2008-08-14 16:21:12 EDT
This is not an official review, but some preliminary observations:

1. There is no ownership info in %files.
   You should add something like:
%defattr(-,root,root,-)
   Or alternatively specify %attr(-,owner,group) before files
   that have specific ownership/groupship.

2. Release tag should be:
Release: 1%{dist}

3. License should be clarified. Pick the correct string from:
     http://fedoraproject.org/wiki/Licensing
   More info in:
     http://fedoraproject.org/wiki/Packaging/LicensingGuidelines
   Your LICENSE file looks like GPLv2

4. This is a web application and it would fail to run with SELinux
   activated. You should fix the context of the cgi script.
   For a quick howto, look at:
     http://fedoraproject.org/wiki/PackagingDrafts/SELinux
   And probably create a subpackage fedora-ds-graph-selinux

5. No docs whatsoever. As a minimum you can add the COPYING
   and CHANGELOG files. Also...

6. Since you are the upstream author:
   * Adding a README would be even nicer.
   * The common name is ChangeLog and not CHANGELOG.
   * Exclude the .svn from the tarball, either via
     tar command line flags, or by using 'svn export'
     for the tarball.

7. Dependencies:
   * The cgi is in perl and uses some modules in other packages, so:
Requires: perl, rrdtool-perl
   * Time::Local and Symbol are part of perl package itself. OK.

8. The init script (ds-graph) does not follow Fedora common behaviour:
   * Should use daemon function.
   * Should touch and rm /var/lock/subsys/ds-graph
   * Should observe exit status and return appropriate values.

Hope it helps and thank you.
Comment 2 Fabian Affolter 2008-10-24 05:44:38 EDT
Fedora DS Graph 1.0.2 was released at 22 September, 2008.

An other appendix:

%description

- The line in the description is longer than 80 characters.

rpmlint will complain about this.
Comment 3 Jason Tibbitts 2008-11-05 11:11:52 EST
Chris, do you still wish to submit this package.  Can you respond to some of the commentary here?
Comment 4 Chris St. Pierre 2008-11-05 11:24:52 EST
Yes, I intend to fix all of these issues in the next version of Fedora DS Graph, but release of that has been held up by some unrelated issues.
Comment 5 Jason Tibbitts 2008-11-16 10:20:41 EST
Please clear the whiteboard when you are ready for a review.
Comment 6 Chris St. Pierre 2008-12-01 11:57:48 EST
Ready for review.  New SRPM:

http://downloads.sourceforge.net/fedora-ds-graph/fedora-ds-graph-1.1.0-1.src.rpm?use_mirror=
Comment 7 Jason Tibbitts 2008-12-21 15:50:56 EST
Actually, I don't see you in the account system at all.  Are you sure you have already been sponsored?  What's your account ID in the Fedora system?
Comment 8 Chris St. Pierre 2008-12-21 16:39:28 EST
To the best of my knowledge, I'm not in the Fedora account system; I haven't been sponsored, nor, as far as I can tell, did I claim to be.  The process document at http://fedoraproject.org/wiki/Package_Review_Process doesn't seem to suggest that I need to be sponsored.

If that document is out of date, and I need to obtain the account and/or sponsorship of which you speak, I'd appreciate it if you could point me to more up-to-date documentation on the process.  Thanks!
Comment 9 manuel wolfshant 2008-12-22 04:08:00 EST
http://fedoraproject.org/wiki/PackageMaintainers/Join should answer your questions. More precisely, see 1.1.9 (Get a Fedora Account ) and 1.1.11 (Get Sponsored)
Comment 10 Jason Tibbitts 2008-12-22 09:32:59 EST
Note that the Package Review Process document does explicitly link to the Join document; see the second paragraph in the Contributor section.
Comment 11 Chris St. Pierre 2008-12-22 11:53:36 EST
The text was:

A Contributor is defined as someone who wants to submit (and maintain) a package in Fedora.

As a Contributor, you should have already made a package which adheres to the Package Naming Guidelines and Packaging Guidelines. You should also be aware of ForbiddenItems. If you are unsure how to become a contributor, or if you need more detailed instructions on this process, you should read PackageMaintainers/Join.

The link is now unburied:

A Contributor is defined as someone who wants to submit (and maintain) a package in Fedora. To become a contributor, you must follow the detailed instructions on this process at PackageMaintainers/Join.
			
As a Contributor, you should have already made a package which adheres to the Package Naming Guidelines and Packaging Guidelines. You should also be aware of ForbiddenItems.

Additionally, the http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored mentions "the proper procedure when submitting your first review request," which I evidently didn't follow, since my bug didn't block FE-NEEDSPONSOR until you added that for me (thanks!).  I can't seem to find that procedure anywhere, though; if there's more to it than using the form at https://bugzilla.redhat.com/bugzilla/enter_bug.cgi?product=Fedora&format=extras-review, could you point me to that documentation, too, so I can a) make sure I didn't miss anything; and b) edit the wiki accordingly to make that more clear.  Thanks again.

FAS username is 'cstpierre'.  Sponsorship will be found eventually, I suppose.
Comment 12 manuel wolfshant 2008-12-22 20:16:41 EST
Well, http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored says it all in the first 2 paragraphs. Quoting from over there:
- it is necessary for you to show that you have an understanding of the process and of the packaging guidelines.
- The best ways for you to illustrate your understanding of the packaging guidelines are to submit quality packages and to assist with package reviews. Prospective sponsors will want to see what reviews you have done, so go ahead and tell them when you submit your first package review request and add comments to your open review ticket with information about your activities.

To cut it short: the current procedure asks for you to prove your packaging skills (in the context of Fedora rules). You can do that either by doing pre-reviews[*] of existing bugs ( http://fedoraproject.org/PackageReviewStatus/NEW.html is a cached list of open tickets) and/or by submitting several [ new ] packages. 


[*]Comment #1 is an example of such a pre-review. Only sponsored people may perform formal reviews.
Comment 13 Chris St. Pierre 2008-12-22 22:15:13 EST
Yep, already read that, thanks.  As I mentioned, I'll be working on finding sponsorship eventually.
Comment 14 Jason Tibbitts 2009-06-23 14:47:12 EDT
So, things didn't really work out with this package.  I never managed to get far enough through my todo list to get back to this package, and now the whole fedora-ds thing has either been renamed or exists in another form as the 389-* packages.  Given that, what should happen to this package?
Comment 15 Chris St. Pierre 2009-06-23 14:51:28 EDT
Renaming the package would be easy enough.  AFAIK, the 389-* packages aren't even out yet, so this isn't really behind the times that much.  I'll get a new version turned out that replaces references to Fedora DS with 389 DS.
Comment 16 Jason Tibbitts 2009-06-23 15:37:24 EDT
Well, my development box shows:

389-console.noarch : 389 Management Console
389-ds-base.i586 : 389 Directory Server (base)
389-ds-base-devel.i586 : Development libraries for 389 Directory Server

so the 389 packages are definitely making it into the distro.  koji shows shows eight source packages in the system:
http://koji.fedoraproject.org/koji/search?match=glob&type=package&terms=389*

I expect they will continue to appear with successive pushes, although I admit I have no real knowledge of the plans for the 389-* packages.
Comment 17 Chris St. Pierre 2009-06-24 09:18:22 EDT
New spec file:

http://fedora-ds-graph.svn.sourceforge.net/viewvc/fedora-ds-graph/trunk/389-ds-graph.spec?revision=52

New SRPM:

http://internap.dl.sourceforge.net/sourceforge/fedora-ds-graph/389-ds-graph-1.1.2-1.fc10.src.rpm

As you can see, I'm still on F10, where the package names haven't been updated yet.
Comment 18 Jochen Schmitt 2009-06-24 12:37:25 EDT
Hallo, I want to notify you, that the Fedora DS was rename to 389-ds, so it may be nice, if you can rename your package into 389-ds-graph.

The reason, why the ds was renamed, was to clarified, that the 389-ds is not a fedora specific product.
Comment 19 Jason Tibbitts 2010-11-03 10:24:54 EDT
I know this is ancient, but I pinged the 389 folks to see if anyone might be interested in doing something with this ticket.

On the other hand, if you're no longer interested in submitting this package, we should just close this ticket out.
Comment 20 Chris St. Pierre 2010-11-03 10:50:57 EDT
Unfortunately I've changed jobs since the last activity 16 months ago (!) and I no longer work with 389, so I'm no longer interested in getting this into Fedora.  Hopefully someone else will be willing to take it up; as far as I know, the spec file and everything is in perfect order, it's just waiting for a sponsor.
Comment 21 Jason Tibbitts 2010-11-03 11:26:13 EDT
Cool, thanks.